loading...
POST
/v2/Payment/Void

Void cancels a previously processed transaction before it is settled. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com/v2/Payment/Void" \  -H "Content-Type: application/json" \  -d '{    "Amount": 1,    "PaymentType": "Credit",    "ReferenceId": "d6c871b6a580",    "PrintReceipt": "No",    "GetReceipt": "No",    "MerchantNumber": null,    "CaptureSignature": false,    "GetExtendedData": true,    "IsReadyForIS": false,    "CallbackInfo": {      "Url": ""    },    "ReconId": "",    "IsvId": "",    "Tpn": "",    "RegisterId": "",    "Authkey": "",    "SPInProxyTimeout": null,    "CustomFields": {}  }'

{
  "GeneralResponse": {
    "HostResponseCode": "",
    "HostResponseMessage": "",
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  },
  "PaymentType": "Credit",
  "TransactionType": "",
  "Amounts": {
    "TotalAmount": null,
    "Amount": null,
    "TipAmount": null,
    "FeeAmount": null,
    "TaxAmount": null
  },
  "AuthCode": "",
  "ReferenceId": "",
  "InvoiceNumber": "",
  "SerialNumber": "",
  "BatchNumber": "",
  "TransactionNumber": "",
  "Voided": false,
  "Signature": "",
  "IPosToken": "",
  "Token": "",
  "RRN": "",
  "PNReferenceId": "",
  "MerchantNumber": null,
  "MerchantName": "",
  "ExtendedDataByApplication": {},
  "CardData": {
    "CardType": "None",
    "EntryType": "None",
    "Last4": "",
    "First4": "",
    "BIN": "",
    "ExpirationDate": "",
    "Name": "",
    "CardBrand": ""
  },
  "EMVData": {
    "ApplicationName": "",
    "AID": "",
    "TVR": "",
    "TSI": "",
    "IAD": "",
    "ARC": ""
  },
  "Receipts": {
    "Customer": "",
    "Merchant": ""
  },
  "L2L3ValidationError": {
    "Description": "",
    "PoNumber": "",
    "PurchaseIdentifier": "",
    "SummaryCommodityCode": "",
    "LineItemCount": "",
    "TaxAmount": "",
    "Quantity": "",
    "UnitOfMeasure": "",
    "UnitCost": "",
    "TaxRate": "",
    "DiscountAmount": "",
    "DebitCreditIndicator": "",
    "ExtLineAmount": "",
    "QuantityExpIndicator": "",
    "UnitPriceDecimal": ""
  },
  "AutoRentalValidationError": {
    "AdjustmentAmount": "",
    "AdjustmentAuditIndicatorCode": "",
    "AgreementReferenceNumber": "",
    "PickupAddress": "",
    "PickupCity": "",
    "PickupCountry": "",
    "PickupCountryCode": "",
    "PickupDate": "",
    "PickupLocation": "",
    "PickupRegionCode": "",
    "PickupState": "",
    "RentalDistance": "",
    "RentalDistanceUnitofMeasure": "",
    "RentalDuration": "",
    "RentalPeriod": "",
    "RentalRate": "",
    "RentalTime": "",
    "ReturnAddress": "",
    "ReturnDate": "",
    "ReturnLocationId": "",
    "ReturnRegionCode": "",
    "ReturnStateCountry": "",
    "ReturnTime": "",
    "ServiceMobile": "",
    "VehicleMake": "",
    "VehicleModel": ""
  }
}

{
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}